Bug 13483 - TEXT INPUT HEIGHT FIXED - Text inputs are not sizable on Safari.
Summary: TEXT INPUT HEIGHT FIXED - Text inputs are not sizable on Safari.
Status: VERIFIED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh Intel OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-25 08:55 PDT by Kanda
Modified: 2007-05-22 17:46 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kanda 2007-04-25 08:55:59 PDT
TEXT INPUT HEIGHT FIXED - Text inputs on IE and FireFox are sizable. On Safari they are not. As such, we ended up having to use TEXT AREAS for our tables instead.
Comment 1 David Kilzer (:ddkilzer) 2007-04-25 10:26:37 PDT
Kanda, we need a test case for this.  By "sizable" do you mean using CSS to set the height of the element, or using CSS to set the height of the font, or something else?

Again, please try a nightly WebKit build.  Text input fields have had a "make-over" in WebKit, and they probably work the way you expect them to now.  See this blog post for more details:

http://webkit.org/blog/51/text-fields/

Comment 2 Mark Rowe (bdash) 2007-04-25 10:42:53 PDT
Kanda, can you please try and provide details in your bug reports that we can use to investigate your issues?  At the very least we need either a URL to a page demonstrating the issue, or a standalone code snippet that shows the problem.

As Dave mentioned, <input type="text"> elements are styleable via CSS in WebKit.  This includes specifying a height.  If this is not what you are referring to, please reopen this bug report with more specific information about your problem.
Comment 3 Kanda 2007-04-27 15:58:23 PDT
This issue is now fixed on the nightly build.

Thank you all.

Kanda.